## photofloat 0~20120917+dfsg

=== web/Makefile ===
JS_DIR = js
CSS_DIR = css

JS_MIN = $(JS_DIR)/scripts.min.js
CSS_MIN = $(CSS_DIR)/styles.min.css

JS_MIN_FILES := $(sort $(patsubst %.js, %.min.js, $(filter-out %.min.js, $(wildcard $(JS_DIR)/*.js))))
CSS_MIN_FILES := $(sort $(patsubst %.css, %.min.css, $(filter-out %.min.css, $(wildcard $(CSS_DIR)/*.css))))

JS_COMPILER = yui-compressor --type js
CSS_COMPILER = yui-compressor --type css

.PHONY: all clean

all: $(JS_MIN) $(CSS_MIN)

%.min.js: %.js
	@echo "Compiling javascript" $<
	@$(JS_COMPILER) -o $@ $<

%.min.css: %.css
	@echo "Compiling stylesheet" $<
	@$(CSS_COMPILER) -o $@ $<

$(JS_MIN): $(JS_MIN_FILES)
	@echo "Assembling compiled javascripts"
	@cat $^ > $@

$(CSS_MIN): $(CSS_MIN_FILES)
	@echo "Assembling compiled stylesheets"
	@cat $^ > $@

empty :=
space := $(empty) $(empty)
classpath := $(subst $(space),:,$(wildcard /usr/share/java/htmlunit*.jar))
utils/ServerExecute.class: utils/ServerExecute.java
	@echo "Building HtmlUnit wrapper."
	@javac -classpath $(classpath) -d utils $^

clean:
	@rm -fv $(JS_MIN) $(JS_MIN_FILES) $(CSS_MIN) $(CSS_MIN_FILES)

## photofloat 0~20120917%2Bdfsg

=== debian/control ===
Source: photofloat
Section: web
Priority: optional
Maintainer: Antoine Beaupré <anarcat@debian.org>
Build-Depends: debhelper (>= 8.0.0),
               python,
               libjs-jquery,
               libjs-jquery-mousewheel,
               yui-compressor
Standards-Version: 3.9.3
Homepage: http://zx2c4.com/projects/photofloat/
Vcs-Git: git://git.debian.org/collab-maint/photofloat.git -b debian
Vcs-Browser: http://git.debian.org/?p=collab-maint/photofloat.git;a=summary

Package: photofloat
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python:Depends},
         python-imaging,
         lmodern
Recommends: libjs-jquery,
            libjs-jquery-mousewheel
Suggests: apache2 | nginx | httpd,
          libapache2-mod-php5 | php5-fpm | php5-cgi
Description: Web 2.0 Photo Gallery Done Right via Static JSON & Dynamic Javascript
 PhotoFloat is a new open source web photo gallery aimed at sleekness
 and speed. It keeps with an old hat mentality, preferring to work over
 directory structures rather than esoteric photo database management
 software. Everything it generates is static, which means it's extremely
 fast.

## photofloat 0~20120917+dfsg

=== debian/changelog ===
photofloat (0~20120917+dfsg-3) unstable; urgency=low

  [Jerome Charaoui]
  * Put webserver in Suggests instead of Recommends (Closes: #721559).
  * Move Zenphoto convenience script to examples/ in documentation and
    downgrade PHP to a Suggests (Closes: #721556).

  [Antoine Beaupré]
  * Bug fix: "should recommend libjs-jquery-mousewheel", thanks to Jonas
    Smedegaard (Closes: #721562).

 -- Antoine Beaupré <anarcat@debian.org>  Sun, 26 Jan 2014 14:57:49 -0500

photofloat (0~20120917+dfsg-2) unstable; urgency=low

  * Add missing copyright notes, try to clarify unclear ones, thanks Luke!

 -- Antoine Beaupré <anarcat@debian.org>  Sun, 21 Jul 2013 09:08:03 -0400

photofloat (0~20120917+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #694259)

 -- Antoine Beaupré <anarcat@debian.org>  Sat, 24 Nov 2012 00:28:41 -0500

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
#
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS


%:
	dh $@  --with=python2

override_dh_auto_build:
	dh_auto_build
	ln -s /usr/share/javascript/jquery/jquery.js $(CURDIR)/web/js/000-jquery-1.7.2.js
	ln -s /usr/share/javascript/jquery-mousewheel/jquery.mousewheel.js $(CURDIR)/web/js/003-mousewheel.js
	cd $(CURDIR)/web && $(MAKE)

override_dh_install:
	dh_install -X.gitignore -XMakefile -Xutils/
